import { GraphQLSchema, OperationDefinitionNode } from 'graphql';
import { ClientSideBasePluginConfig, ClientSideBaseVisitor, LoadedFragment } from '@graphql-codegen/visitor-plugin-common';
import { RawGenericSdkPluginConfig } from './config.js';
export interface GenericSdkPluginConfig extends ClientSideBasePluginConfig {
    usingObservableFrom: string;
    rawRequest: boolean;
}
export declare class GenericSdkVisitor extends ClientSideBaseVisitor<RawGenericSdkPluginConfig, GenericSdkPluginConfig> {
    private _externalImportPrefix;
    private _operationsToInclude;
    constructor(schema: GraphQLSchema, fragments: LoadedFragment[], rawConfig: RawGenericSdkPluginConfig);
    protected buildOperation(node: OperationDefinitionNode, documentVariableName: string, operationType: string, operationResultType: string, operationVariablesTypes: string): string;
    private getDocumentNodeVariable;
    get sdkContent(): string;
}
